using Entity_Framework.Entity;
using Entity_Framework;
using Modele.Classe;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Entity_Framework.Factories;

namespace Extraction_Donnees.Extraction
{
    public partial class Extraction
    {
        public Task<Geolocalisation> GetGeolocalisations(long IdPoint)
        {
            /*Geolocalisations result = new Geolocalisations();

            using (BDDContext db = new BDDContext())
            {
                bool checkPoint = db.Points.Any(e => e.Id == IdPoint);
                if (checkPoint == false)
                {
                    return Task.FromResult<Geolocalisation>(null);
                }
                result = (from geo in db.Geolocalisations
                          from point in db.Points
                          where geo.Id == point.IdGeolocalisation
                          select geo).First();
            }
            return Task.FromResult<Geolocalisation>(result.EntityToModele());*/
            return null;
        }
    }
}
